explain_setresgid_or_die(3)

NAME
explain_setresgid_or_die - set r/e/s group ID and report errors
    "set real, effective and saved group ID and report errors"

SYNOPSIS
#include <libexplain/setresgid.h>

void explain_setresgid_or_die(gid_t rgid, gid_t egid, gid_t sgid);
int explain_setresgid_on_error(gid_t rgid, gid_t egid, gid_t sgid);

DESCRIPTION
The explain_setresgid_or_die function is used to call the setresgid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setresgid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setresgid_on_error function is used to call the setresgid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setresgid(3) function, but still returns to the caller.

rgid
    The rgid, exactly as to be passed to the setresgid(2) system call.

egid
    The egid, exactly as to be passed to the setresgid(2) system call.

sgid
    The sgid, exactly as to be passed to the setresgid(2) system call.

RETURN VALUE
The explain_setresgid_or_die function only returns on success, see setresgid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setresgid_on_error function always returns the value return by the wrapped setresgid(2) system call.

EXAMPLE
The explain_setresgid_or_die function is intended to be used in a fashion similar to the following example:
    explain_setresgid_or_die(rgid, egid, sgid);

SEE ALSO

setresgid(2)
    set real, effective and saved group ID

explain_setresgid(3)
    explain setresgid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2012 Peter Miller